events = {
    "branch_protection_configuration": {
        "disabled": "BranchProtectionConfigurationDisabled",
        "enabled": "BranchProtectionConfigurationEnabled",
    },
    "branch_protection_rule": {
        "created": "BranchProtectionRuleCreated",
        "deleted": "BranchProtectionRuleDeleted",
        "edited": "BranchProtectionRuleEdited",
    },
    "check_run": {
        "completed": "CheckRunCompleted",
        "created": "CheckRunCreated",
        "requested_action": "CheckRunRequestedAction",
        "rerequested": "CheckRunRerequested",
    },
    "check_suite": {
        "completed": "CheckSuiteCompleted",
        "requested": "CheckSuiteRequested",
        "rerequested": "CheckSuiteRerequested",
    },
    "code_scanning_alert": {
        "appeared_in_branch": "CodeScanningAlertAppearedInBranch",
        "closed_by_user": "CodeScanningAlertClosedByUser",
        "created": "CodeScanningAlertCreated",
        "fixed": "CodeScanningAlertFixed",
        "reopened": "CodeScanningAlertReopened",
        "reopened_by_user": "CodeScanningAlertReopenedByUser",
    },
    "commit_comment": "CommitCommentCreated",
    "create": "Create",
    "custom_property": {
        "created": "CustomPropertyCreated",
        "deleted": "CustomPropertyDeleted",
        "updated": "CustomPropertyUpdated",
    },
    "custom_property_values": "CustomPropertyValuesUpdated",
    "delete": "Delete",
    "dependabot_alert": {
        "auto_dismissed": "DependabotAlertAutoDismissed",
        "auto_reopened": "DependabotAlertAutoReopened",
        "created": "DependabotAlertCreated",
        "dismissed": "DependabotAlertDismissed",
        "fixed": "DependabotAlertFixed",
        "reintroduced": "DependabotAlertReintroduced",
        "reopened": "DependabotAlertReopened",
    },
    "deploy_key": {
        "created": "DeployKeyCreated",
        "deleted": "DeployKeyDeleted",
    },
    "deployment": "DeploymentCreated",
    "deployment_protection_rule": "DeploymentProtectionRuleRequested",
    "deployment_review": {
        "approved": "DeploymentReviewApproved",
        "rejected": "DeploymentReviewRejected",
        "requested": "DeploymentReviewRequested",
    },
    "deployment_status": "DeploymentStatusCreated",
    "discussion": {
        "answered": "DiscussionAnswered",
        "category_changed": "DiscussionCategoryChanged",
        "closed": "DiscussionClosed",
        "created": "DiscussionCreated",
        "deleted": "DiscussionDeleted",
        "edited": "DiscussionEdited",
        "labeled": "DiscussionLabeled",
        "locked": "DiscussionLocked",
        "pinned": "DiscussionPinned",
        "reopened": "DiscussionReopened",
        "transferred": "DiscussionTransferred",
        "unanswered": "DiscussionUnanswered",
        "unlabeled": "DiscussionUnlabeled",
        "unlocked": "DiscussionUnlocked",
        "unpinned": "DiscussionUnpinned",
    },
    "discussion_comment": {
        "created": "DiscussionCommentCreated",
        "deleted": "DiscussionCommentDeleted",
        "edited": "DiscussionCommentEdited",
    },
    "fork": "Fork",
    "github_app_authorization": "GithubAppAuthorizationRevoked",
    "gollum": "Gollum",
    "installation": {
        "created": "InstallationCreated",
        "deleted": "InstallationDeleted",
        "new_permissions_accepted": "InstallationNewPermissionsAccepted",
        "suspend": "InstallationSuspend",
        "unsuspend": "InstallationUnsuspend",
    },
    "installation_repositories": {
        "added": "InstallationRepositoriesAdded",
        "removed": "InstallationRepositoriesRemoved",
    },
    "installation_target": "InstallationTargetRenamed",
    "issue_comment": {
        "created": "IssueCommentCreated",
        "deleted": "IssueCommentDeleted",
        "edited": "IssueCommentEdited",
    },
    "issues": {
        "assigned": "IssuesAssigned",
        "closed": "IssuesClosed",
        "deleted": "IssuesDeleted",
        "demilestoned": "IssuesDemilestoned",
        "edited": "IssuesEdited",
        "labeled": "IssuesLabeled",
        "locked": "IssuesLocked",
        "milestoned": "IssuesMilestoned",
        "opened": "IssuesOpened",
        "pinned": "IssuesPinned",
        "reopened": "IssuesReopened",
        "transferred": "IssuesTransferred",
        "unassigned": "IssuesUnassigned",
        "unlabeled": "IssuesUnlabeled",
        "unlocked": "IssuesUnlocked",
        "unpinned": "IssuesUnpinned",
    },
    "label": {
        "created": "LabelCreated",
        "deleted": "LabelDeleted",
        "edited": "LabelEdited",
    },
    "marketplace_purchase": {
        "cancelled": "MarketplacePurchaseCancelled",
        "changed": "MarketplacePurchaseChanged",
        "pending_change": "MarketplacePurchasePendingChange",
        "pending_change_cancelled": "MarketplacePurchasePendingChangeCancelled",
        "purchased": "MarketplacePurchasePurchased",
    },
    "member": {
        "added": "MemberAdded",
        "edited": "MemberEdited",
        "removed": "MemberRemoved",
    },
    "membership": {
        "added": "MembershipAdded",
        "removed": "MembershipRemoved",
    },
    "merge_group": {
        "checks_requested": "MergeGroupChecksRequested",
        "destroyed": "MergeGroupDestroyed",
    },
    "meta": "MetaDeleted",
    "milestone": {
        "closed": "MilestoneClosed",
        "created": "MilestoneCreated",
        "deleted": "MilestoneDeleted",
        "edited": "MilestoneEdited",
        "opened": "MilestoneOpened",
    },
    "org_block": {
        "blocked": "OrgBlockBlocked",
        "unblocked": "OrgBlockUnblocked",
    },
    "organization": {
        "deleted": "OrganizationDeleted",
        "member_added": "OrganizationMemberAdded",
        "member_invited": "OrganizationMemberInvited",
        "member_removed": "OrganizationMemberRemoved",
        "renamed": "OrganizationRenamed",
    },
    "package": {
        "published": "PackagePublished",
        "updated": "PackageUpdated",
    },
    "page_build": "PageBuild",
    "personal_access_token_request": {
        "approved": "PersonalAccessTokenRequestApproved",
        "cancelled": "PersonalAccessTokenRequestCancelled",
        "created": "PersonalAccessTokenRequestCreated",
        "denied": "PersonalAccessTokenRequestDenied",
    },
    "ping": "Ping",
    "project_card": {
        "converted": "ProjectCardConverted",
        "created": "ProjectCardCreated",
        "deleted": "ProjectCardDeleted",
        "edited": "ProjectCardEdited",
        "moved": "ProjectCardMoved",
    },
    "project": {
        "closed": "ProjectClosed",
        "created": "ProjectCreated",
        "deleted": "ProjectDeleted",
        "edited": "ProjectEdited",
        "reopened": "ProjectReopened",
    },
    "project_column": {
        "created": "ProjectColumnCreated",
        "deleted": "ProjectColumnDeleted",
        "edited": "ProjectColumnEdited",
        "moved": "ProjectColumnMoved",
    },
    "projects_v2": {
        "closed": "ProjectsV2ProjectClosed",
        "created": "ProjectsV2ProjectCreated",
        "deleted": "ProjectsV2ProjectDeleted",
        "edited": "ProjectsV2ProjectEdited",
        "reopened": "ProjectsV2ProjectReopened",
    },
    "projects_v2_item": {
        "archived": "ProjectsV2ItemArchived",
        "converted": "ProjectsV2ItemConverted",
        "created": "ProjectsV2ItemCreated",
        "deleted": "ProjectsV2ItemDeleted",
        "edited": "ProjectsV2ItemEdited",
        "reordered": "ProjectsV2ItemReordered",
        "restored": "ProjectsV2ItemRestored",
    },
    "public": "Public",
    "pull_request": {
        "assigned": "PullRequestAssigned",
        "auto_merge_disabled": "PullRequestAutoMergeDisabled",
        "auto_merge_enabled": "PullRequestAutoMergeEnabled",
        "closed": "PullRequestClosed",
        "converted_to_draft": "PullRequestConvertedToDraft",
        "demilestoned": "PullRequestDemilestoned",
        "dequeued": "PullRequestDequeued",
        "edited": "PullRequestEdited",
        "enqueued": "PullRequestEnqueued",
        "labeled": "PullRequestLabeled",
        "locked": "PullRequestLocked",
        "milestoned": "PullRequestMilestoned",
        "opened": "PullRequestOpened",
        "ready_for_review": "PullRequestReadyForReview",
        "reopened": "PullRequestReopened",
        "review_request_removed": "PullRequestReviewRequestRemoved",
        "review_requested": "PullRequestReviewRequested",
        "synchronize": "PullRequestSynchronize",
        "unassigned": "PullRequestUnassigned",
        "unlabeled": "PullRequestUnlabeled",
        "unlocked": "PullRequestUnlocked",
    },
    "pull_request_review_comment": {
        "created": "PullRequestReviewCommentCreated",
        "deleted": "PullRequestReviewCommentDeleted",
        "edited": "PullRequestReviewCommentEdited",
    },
    "pull_request_review": {
        "dismissed": "PullRequestReviewDismissed",
        "edited": "PullRequestReviewEdited",
        "submitted": "PullRequestReviewSubmitted",
    },
    "pull_request_review_thread": {
        "resolved": "PullRequestReviewThreadResolved",
        "unresolved": "PullRequestReviewThreadUnresolved",
    },
    "push": "Push",
    "registry_package": {
        "published": "RegistryPackagePublished",
        "updated": "RegistryPackageUpdated",
    },
    "release": {
        "created": "ReleaseCreated",
        "deleted": "ReleaseDeleted",
        "edited": "ReleaseEdited",
        "prereleased": "ReleasePrereleased",
        "published": "ReleasePublished",
        "released": "ReleaseReleased",
        "unpublished": "ReleaseUnpublished",
    },
    "repository_advisory": {
        "published": "RepositoryAdvisoryPublished",
        "reported": "RepositoryAdvisoryReported",
    },
    "repository": {
        "archived": "RepositoryArchived",
        "created": "RepositoryCreated",
        "deleted": "RepositoryDeleted",
        "edited": "RepositoryEdited",
        "privatized": "RepositoryPrivatized",
        "publicized": "RepositoryPublicized",
        "renamed": "RepositoryRenamed",
        "transferred": "RepositoryTransferred",
        "unarchived": "RepositoryUnarchived",
    },
    "repository_dispatch": "RepositoryDispatchSample",
    "repository_import": "RepositoryImport",
    "repository_ruleset": {
        "created": "RepositoryRulesetCreated",
        "deleted": "RepositoryRulesetDeleted",
        "edited": "RepositoryRulesetEdited",
    },
    "repository_vulnerability_alert": {
        "create": "RepositoryVulnerabilityAlertCreate",
        "dismiss": "RepositoryVulnerabilityAlertDismiss",
        "reopen": "RepositoryVulnerabilityAlertReopen",
        "resolve": "RepositoryVulnerabilityAlertResolve",
    },
    "secret_scanning_alert": {
        "created": "SecretScanningAlertCreated",
        "reopened": "SecretScanningAlertReopened",
        "resolved": "SecretScanningAlertResolved",
        "revoked": "SecretScanningAlertRevoked",
    },
    "secret_scanning_alert_location": "SecretScanningAlertLocationCreated",
    "security_advisory": {
        "published": "SecurityAdvisoryPublished",
        "updated": "SecurityAdvisoryUpdated",
        "withdrawn": "SecurityAdvisoryWithdrawn",
    },
    "security_and_analysis": "SecurityAndAnalysis",
    "sponsorship": {
        "cancelled": "SponsorshipCancelled",
        "created": "SponsorshipCreated",
        "edited": "SponsorshipEdited",
        "pending_cancellation": "SponsorshipPendingCancellation",
        "pending_tier_change": "SponsorshipPendingTierChange",
        "tier_changed": "SponsorshipTierChanged",
    },
    "star": {
        "created": "StarCreated",
        "deleted": "StarDeleted",
    },
    "status": "Status",
    "team_add": "TeamAdd",
    "team": {
        "added_to_repository": "TeamAddedToRepository",
        "created": "TeamCreated",
        "deleted": "TeamDeleted",
        "edited": "TeamEdited",
        "removed_from_repository": "TeamRemovedFromRepository",
    },
    "watch": "WatchStarted",
    "workflow_dispatch": "WorkflowDispatch",
    "workflow_job": {
        "completed": "WorkflowJobCompleted",
        "in_progress": "WorkflowJobInProgress",
        "queued": "WorkflowJobQueued",
        "waiting": "WorkflowJobWaiting",
    },
    "workflow_run": {
        "completed": "WorkflowRunCompleted",
        "in_progress": "WorkflowRunInProgress",
        "requested": "WorkflowRunRequested",
    },
}
